Bug 215390 - devel/jsoncpp: Update to 1.8.0
Summary: devel/jsoncpp: Update to 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-18 18:43 UTC by Yuri Victorovich
Modified: 2016-12-31 22:22 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.25 KB, patch)
2016-12-18 18:43 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
[patch] fix .pc after 1.8.0 update (621 bytes, patch)
2016-12-31 21:47 UTC, John Hein
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-12-18 18:43:50 UTC
Created attachment 178066 [details]
patch

Passes poudriere, easy update.
Comment 1 commit-hook freebsd_committer 2016-12-19 15:55:45 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Dec 19 15:54:53 UTC 2016
New revision: 428945
URL: https://svnweb.freebsd.org/changeset/ports/428945

Log:
  - Update to 1.8.0

  Changes:	https://github.com/open-source-parsers/jsoncpp/releases
  PR:		215390
  Submitted by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)

Changes:
  head/devel/jsoncpp/Makefile
  head/devel/jsoncpp/distinfo
  head/devel/jsoncpp/pkg-plist
Comment 2 Po-Chuan Hsieh freebsd_committer 2016-12-19 15:59:30 UTC
Committed. Thanks!
Comment 3 John Hein 2016-12-31 21:43:21 UTC
The jsoncpp.pc file has the following in it now after the update to 1.8.0:

libdir=${exec_prefix}/@CMAKE_INSTALL_LIBDIR@
includedir=${prefix}/@CMAKE_INSTALL_INCLUDEDIR@


The .pc.in file changed between 1.7.7 and 1.8.0

Patch coming.
Comment 4 John Hein 2016-12-31 21:47:25 UTC
Created attachment 178424 [details]
[patch] fix .pc after 1.8.0 update
Comment 5 commit-hook freebsd_committer 2016-12-31 22:22:33 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Dec 31 22:22:01 UTC 2016
New revision: 430172
URL: https://svnweb.freebsd.org/changeset/ports/430172

Log:
  Fix variable substitution for jsoncpp.pc

  - Bump PORTREVISION for package change

  PR:		215390
  Submitted by:	John Hein <z7dr6ut7gs@snkmail.com>
  Approved by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)

Changes:
  head/devel/jsoncpp/Makefile